function TouchManager(element) {
		this.objects = []; 
		var self = this;
		this.element = element;
		// the time when last ended touch started
		this.lastEndedTouchStartTime = 0;
		
		
		this.element.addEventListener("touchstart", this, false);
		this.element.addEventListener("touchend", this, false);
		this.element.addEventListener("touchmove", function(e){
			//e.preventDefault();
			return false;
		}, false);
	}
	
	TouchManager.prototype.createTouchObjects = function(ev) {
		for(var i = 0; i < ev.touches.length; i++) {
			this.objects.push(new this.constructor.TouchObject(this, ev.touches[i]));
		}
	}
	
	TouchManager.prototype.getTouchByIdentifier = function(identifier) {
		for(var i = 0; i < this.objects.length; i++) {
			if(this.objects[i].index == identifier) {
				return this.objects[i];
			}
		}
	}
	
	TouchManager.prototype.handleEvent = function (ev) {
		switch (ev.type) {
			case "touchstart":
				this.createTouchObjects(ev);
			break;
			case "touchend":			
				var preventDefault = false;
				// offset in touch from the edge of the screen
				var sideTouchOffset = 100;
				
				// check all touches X position and remove it from the objects array
				for (var i = 0; i < ev.changedTouches.length; i++) {
					var touchIdentifier = ev.changedTouches[i].identifier;
					var touchObj = this.getTouchByIdentifier(touchIdentifier);
					
					// check if this touch is too close to the edge of the screen
					if(Math.abs(window.innerWidth - touchObj.startX) < sideTouchOffset ||
					touchObj.startX < sideTouchOffset) {
						preventDefault = true;
					}
				
					// remove this touch from the array
					this.objects.splice(this.objects.indexOf(touchObj), 1);
				}
				
				// to close to the right
				if(preventDefault) {
					ev.preventDefault();
				}
				
				// too soon
				var now = new Date().getTime();
				if(!preventDefault && now - this.lastEndedTouchStartTime < 700) {
					ev.preventDefault();
				} 
				this.lastEndedTouchStartTime = now;
			break;
		}
	}
	
	TouchManager.TouchObject = function (manager, touch) {
			this.manager = manager;
			this.index = touch.identifier;
			this.startX = touch.clientX;
			this.startY = touch.clientY;
			this.timeStarted = new Date().getTime();
	}
	
var tManager1 = new TouchManager(document.getElementsByTagName("body")[0]);
	
	